<?php
require_once 'connect.php';

date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}

// valores padrões para teste
$id         = 0;
$id_usuario = 0;
$st_ativo   = 1;
$ok         = true;

if(isset($_POST['id'])){
  $id = $_POST['id'];
}

// post comum dos registros
$ds_documento           = trim($_POST['ds_documento']);
$ds_documento_descricao = trim($_POST['ds_documento_descricao']);
$id_tipo_movimentacao   = trim($_POST['id_tipo_movimentacao']);

// resgata o array com os itens inseridos
$tabela = $_POST['tabela_preco']['itens'];

if(isset($_POST['adicionar'])){
  // varre os itens inserindo todos os valores
  foreach($tabela as $k => $v) {
    $id_produto       =$v['id_produto'];
    $id_local_estoque = $v['id_local_estoque'];
    $nr_qtde          = $v['nr_qtde'];

    $sql = "insert into erpc_saldos_enderecar (
            ds_documento,    ds_documento_descricao ,   id_tipo_movimentacao ,    id_produto,   id_local_estoque, vl_saldo_enderecar, dt_entrada,  st_ativo,  id_usuario) values (
          '$ds_documento', '$ds_documento_descricao', '$id_tipo_movimentacao', '$id_produto', '$id_local_estoque',         '$nr_qtde',      now(), $st_ativo, $id_usuario)";

    // Se montou o SQL, executa
    if($sql!=""){
      $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
      $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
    }
  }
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_operadoras_telefonia set st_ativo = 0, id_usuario = $id_usuario";
	$sql .= " where id = '$id'";

  // Se montou o SQL, executa
  if($sql!=""){
    $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
    $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
  }
}


/* preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_operadoras_telefonia set ds_operadora = '$ds_operadora', st_ativo  =  $st_ativo, id_usuario = $id_usuario";
  $sql .= " where id = '$id'";
}
}else
	if() {
	$sql = "insert into erpc_operadoras_telefonia ( ds_operadora, st_ativo, id_usuario) values ( '$ds_operadora', $st_ativo, $id_usuario )";
}*/


//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = ".........=======> " . $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_saldos_enderecar_list.php");
}
?>
